Debian Bug report logs - #554167
New mawk upstream version

version graph

Package: mawk; Maintainer for mawk is Steve Langasek <vorlon@debian.org>; Source for mawk is src:mawk.

Reported by: Trafire Arcanegrin <trafirea@gmail.com>

Date: Tue, 3 Nov 2009 14:27:14 UTC

Severity: wishlist

Tags: patch

Found in version mawk/1.3.3-15

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Tue, 03 Nov 2009 14:27:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Trafire Arcanegrin <trafirea@gmail.com>:
New Bug report received and forwarded. Copy sent to Steve Langasek <vorlon@debian.org>. (Tue, 03 Nov 2009 14:27:26 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Trafire Arcanegrin <trafirea@gmail.com>
To: submit@bugs.debian.org
Subject: New mawk upstream version
Date: Tue, 3 Nov 2009 22:16:42 +0800
Package: mawk
Version: 1.3.3-15
Severity: wishlist

Hello,
1.3.3-20090920 is here:
ftp://invisible-island.net/mawk

Please consider update it. :-)

Cheers,
Trafire




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Thu, 10 Dec 2009 02:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Thu, 10 Dec 2009 02:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 554167@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 554167@bugs.debian.org
Subject: Re: New mawk upstream version
Date: Wed, 9 Dec 2009 20:27:51 -0600
Hi vorlon,

Building a Linux kernel requires an awk with some features
v1.3.3 does not have, so I put together an updated mawk
package to use for this purpose.  Maybe it could be of some
use:

 - http://git.debian.org/?p=collab-maint/mawk.git
 - git.debian.org:git/collab-maint/mawk.git

The upstream tarball comes from ftp://invisible-island.net/mawk/.

Also, would you be interested in patches to modernize mawk’s
packaging?  I would not mind switching to using dh, adding a
watch file, and running autotools at build time, but if you
have other plans, that is fine as well.

Thoughts?
Jonathan




Added tag(s) patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 10 Dec 2009 02:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Sun, 13 Dec 2009 05:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Sun, 13 Dec 2009 05:51:03 GMT) Full text and rfc822 format available.

Message #17 received at 554167@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: debian-mentors@lists.debian.org, 554167@bugs.debian.org
Subject: RFC: mawk (not maintainer, updated package)
Date: Sun, 13 Dec 2009 00:04:17 -0600
Dear mentors and Steve,

I am looking for some advice concerning the new version 
1.3.3-20090920-0.1 of the package "mawk".

It builds these binary packages:
mawk       - a pattern scanning and text processing language

The package appears to be lintian clean.

The upload would fix these bugs: 38353, 65617, 100808, 127293, 135614, 173664, 189078, 244962, 303825, 339799, 355442, 355966, 485898, 496980, 554167

The previous version used dpatch and had a very old debian/rules file
that did not run the test suite, handle DEB_BUILD_OPTIONS, or
cross-compile.  debian/rules has been rewritten completely (the
upstream makefile cannot handle cross-compilation yet, though).  All
previous patches were applied upstream, so I took the opportunity to
switch to source format 3.0 (quilt).  So this is not really the
traditional sort of minimal non-maintainer upload --- it is
superficially more like a QA upload.

I am wondering what to do next: should I pursue a 14-day delayed NMU?
Do nothing and hope some of my changes are picked up?

The package can be found on mentors.debian.net:
- URL: http://mentors.debian.net/debian/pool/main/m/mawk
- Source repository: deb-src http://mentors.debian.net/debian unstable main contrib non-free
- dget http://mentors.debian.net/debian/pool/main/m/mawk/mawk_1.3.3-20090920-0.1.dsc

My motivation was that the Linux kernel source started requiring an
awk that can understand [[:lower:]].  I imagine others will start
running into the same thing sooner or later: mawk 1.3.3 does not
support POSIX regular expressions very well, making it a poor default
awk.  The updated version is far better in that respect.

So I would be glad if someone looked over this package for me.

Kind regards,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Sun, 13 Dec 2009 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Sun, 13 Dec 2009 06:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 554167@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: debian-mentors@lists.debian.org, 554167@bugs.debian.org
Subject: Re: RFC: mawk (not maintainer, updated package)
Date: Sat, 12 Dec 2009 21:58:25 -0800
[Message part 1 (text/plain, inline)]
On Sun, Dec 13, 2009 at 12:04:17AM -0600, Jonathan Nieder wrote:
> Dear mentors and Steve,
> 
> I am looking for some advice concerning the new version 
> 1.3.3-20090920-0.1 of the package "mawk".
> 
> It builds these binary packages:
> mawk       - a pattern scanning and text processing language
> 
> The package appears to be lintian clean.
> 
> The upload would fix these bugs: 38353, 65617, 100808, 127293, 135614, 173664, 189078, 244962, 303825, 339799, 355442, 355966, 485898, 496980, 554167
> 
> The previous version used dpatch and had a very old debian/rules file
> that did not run the test suite, handle DEB_BUILD_OPTIONS, or
> cross-compile.  debian/rules has been rewritten completely (the
> upstream makefile cannot handle cross-compilation yet, though).  All
> previous patches were applied upstream, so I took the opportunity to
> switch to source format 3.0 (quilt).  So this is not really the
> traditional sort of minimal non-maintainer upload --- it is
> superficially more like a QA upload.
> 
> I am wondering what to do next: should I pursue a 14-day delayed NMU?
> Do nothing and hope some of my changes are picked up?
> 

have you tried asking the maintainer if you could work with him? all I
can see is a mail from you 3 days ago...a bit fast to pull the trigger
on attempting an NMU there. also, it looks like your mail was only
through the BTS. sometimes direct mail is more effective (I know it is
with me personally, and I've had similar experiences with other
developers). after that, have some patience..

Cheers,
Ryan

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Sun, 13 Dec 2009 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Sun, 13 Dec 2009 06:21:03 GMT) Full text and rfc822 format available.

Message #27 received at 554167@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: debian-mentors@lists.debian.org
Cc: 554167@bugs.debian.org
Subject: Re: RFC: mawk (not maintainer, updated package)
Date: Sun, 13 Dec 2009 00:32:20 -0600
Ryan Niebur wrote:
> On Sun, Dec 13, 2009 at 12:04:17AM -0600, Jonathan Nieder wrote:
[...]
>> I am wondering what to do next: should I pursue a 14-day delayed NMU?
>> Do nothing and hope some of my changes are picked up?
> 
> have you tried asking the maintainer if you could work with him? all I
> can see is a mail from you 3 days ago...a bit fast to pull the trigger
> on attempting an NMU there.

You are right: I should have mentioned the timing.

I have had too many bad experiences with abandoned packages (which this
is not, though there has not been much significant work on it in Debian
for a while).  It can be frustrating to do work to fix something and
find out months later that nothing has come of it.

In other words, I would be happier if there is some way that does not
involve polling indefinitely.  I would rather do a 45-day delayed NMU [1]
than have to pester.

> through the BTS. sometimes direct mail is more effective (I know it is
> with me personally, and I've had similar experiences with other
> developers).

Thanks, that never occured to me.

> after that, have some patience..

Okay, that is what I’ll do.

Thanks for the advice,
Jonathan

[1] Sadly, I think the queue only goes to 15 days.




Information stored :
Bug#554167; Package mawk. (Sun, 13 Dec 2009 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and filed, but not forwarded. (Sun, 13 Dec 2009 06:51:03 GMT) Full text and rfc822 format available.

Message #32 received at 554167-quiet@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Steve Langasek <vorlon@debian.org>
Cc: 554167-quiet@bugs.debian.org
Subject: Re: New mawk upstream version
Date: Sun, 13 Dec 2009 01:03:47 -0600
Dear Steve,

Jonathan Nieder wrote:

>  - http://git.debian.org/?p=collab-maint/mawk.git
>  - git.debian.org:git/collab-maint/mawk.git
> 
> The upstream tarball comes from ftp://invisible-island.net/mawk/.
> 
> Also, would you be interested in patches to modernize mawk’s
> packaging?  I would not mind switching to using dh, adding a
> watch file, and running autotools at build time, but if you
> have other plans, that is fine as well.

Have you had a chance to look at or think about this?  It has been
correctly pointed out that I’m being a bit impatient, but I’d like to
know whether it’s worth spending more time on Debian mawk, and if so,
what manner would be most useful.

Thoughts?
Jonathan

(Since the last time I wrote, I ended up trying out basically the
changes I mentioned above.  Since this is a very basic package, I
think it is better to avoid a build-dependency on debhelper, so I made
sure the behavior of debian/rules would approximately match dh
instead.

The makefile also was fixed so debian/rules can use it to clean and
install and I finished up the previous work getting the code to build
without warnings.  These changes have been sent upstream for review.

Also, would you be interested in collaborative maintainance?  I put
proposed changes in a repository on alioth for convenience, but I
would be very happy if in the long term I could push some place you
pull from and perhaps help prepare uploads from your repository when
free time is short.

And thanks for taking care of mawk.  I’ve always been happy Debian
provides it, packaged nicely.)




Information stored :
Bug#554167; Package mawk. (Sun, 13 Dec 2009 20:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 13 Dec 2009 20:18:03 GMT) Full text and rfc822 format available.

Message #37 received at 554167-quiet@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 554167-quiet@bugs.debian.org
Subject: Re: New mawk upstream version
Date: Sun, 13 Dec 2009 12:14:22 -0800
[Message part 1 (text/plain, inline)]
Jonathan,

On Sun, Dec 13, 2009 at 01:03:47AM -0600, Jonathan Nieder wrote:
> >  - http://git.debian.org/?p=collab-maint/mawk.git
> >  - git.debian.org:git/collab-maint/mawk.git

> > The upstream tarball comes from ftp://invisible-island.net/mawk/.

> > Also, would you be interested in patches to modernize mawk’s
> > packaging?  I would not mind switching to using dh, adding a
> > watch file, and running autotools at build time, but if you
> > have other plans, that is fine as well.

> Have you had a chance to look at or think about this?  It has been
> correctly pointed out that I’m being a bit impatient, but I’d like to
> know whether it’s worth spending more time on Debian mawk, and if so,
> what manner would be most useful.

Updating mawk to the new upstream version is on my todo list, but it's not a
very urgent item on that list.  mawk's lack of POSIX compliance is a
long-outstanding issue, and we're shipping it as the default awk
implementation in Debian in spite of this; the fact that the kernel now also
wants POSIX awk doesn't change much in this respect.  It's far more
important to ensure that the new mawk doesn't cause regressions.

In that context, since I haven't worked with you, I'm not going to take your
word for the correctness of any of the changes - not for something like the
first new upstream version of mawk in 12 years; so I don't foresee any way
that this would be a target for collaborative maintenance at this time, no.

> (Since the last time I wrote, I ended up trying out basically the
> changes I mentioned above.  Since this is a very basic package, I
> think it is better to avoid a build-dependency on debhelper, so I made
> sure the behavior of debian/rules would approximately match dh
> instead.

<shrug> I disagree, switching the package to dh is certainly on my todo
list.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#554167; Package mawk. (Sun, 13 Dec 2009 20:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and filed, but not forwarded. (Sun, 13 Dec 2009 20:36:05 GMT) Full text and rfc822 format available.

Message #42 received at 554167-quiet@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Steve Langasek <vorlon@debian.org>, 554167-quiet@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#554167: New mawk upstream version
Date: Sun, 13 Dec 2009 15:23:36 -0500 (EST)
On Sun, 13 Dec 2009, Steve Langasek wrote:

> Updating mawk to the new upstream version is on my todo list, but it's not a
> very urgent item on that list.  mawk's lack of POSIX compliance is a

I agree that you don't regard it as urgent, since the only bug report
that you've responded to in the past year was the one regarding licensing.

Can you provide some hint when you might get around to investigating the
fixes I've made?

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#554167; Package mawk. (Sun, 13 Dec 2009 21:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. (Sun, 13 Dec 2009 21:06:05 GMT) Full text and rfc822 format available.

Message #47 received at 554167@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 554167@bugs.debian.org
Cc: debian-mentors@lists.debian.org
Subject: Re: Bug#554167: RFC: mawk (not maintainer, updated package)
Date: Sun, 13 Dec 2009 13:04:48 -0800
[Message part 1 (text/plain, inline)]
On Sun, Dec 13, 2009 at 12:04:17AM -0600, Jonathan Nieder wrote:
> I am wondering what to do next: should I pursue a 14-day delayed NMU?
> Do nothing and hope some of my changes are picked up?

An unsanctioned NMU of a new upstream version of a Priority: required
package?  No.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#554167; Package mawk. (Sun, 13 Dec 2009 21:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and filed, but not forwarded. (Sun, 13 Dec 2009 21:33:09 GMT) Full text and rfc822 format available.

Message #52 received at 554167-quiet@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Steve Langasek <vorlon@debian.org>
Cc: 554167-quiet@bugs.debian.org
Subject: Re: New mawk upstream version
Date: Sun, 13 Dec 2009 15:44:10 -0600
Steve Langasek wrote:

> Updating mawk to the new upstream version is on my todo list, but it's not a
> very urgent item on that list.  mawk's lack of POSIX compliance is a
> long-outstanding issue, and we're shipping it as the default awk
> implementation in Debian in spite of this; the fact that the kernel now also
> wants POSIX awk doesn't change much in this respect.  It's far more
> important to ensure that the new mawk doesn't cause regressions.

I agree it’s important to ensure the new mawk doesn’t cause regressions.
Maybe a package for experimental could help?  I would be willing to
test such a package, and I imagine some others would, too.

> In that context, since I haven't worked with you, I'm not going to take your
> word for the correctness of any of the changes

That’s fair.

>> (Since the last time I wrote, I ended up trying out basically the
>> changes I mentioned above.  Since this is a very basic package, I
>> think it is better to avoid a build-dependency on debhelper, so I made
>> sure the behavior of debian/rules would approximately match dh
>> instead.
>
> <shrug> I disagree, switching the package to dh is certainly on my todo
> list.

Okay, I was probably being overly cautious.

Is there anything I can do to help?  For example, I would be happy to
produce a short patch series, of the form:

 1. switch to the new upstream version
 2. switch to dh

I do think it’s important that mawk handle regexps properly.  Many
systems use some other awk by default, and this creates a real
problem for portability of scripts from other systems to Debian.  It
will only increase with time.  The Linux change only reminded me.

Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Sun, 13 Dec 2009 21:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Sun, 13 Dec 2009 21:36:06 GMT) Full text and rfc822 format available.

Message #57 received at 554167@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 554167@bugs.debian.org, debian-mentors@lists.debian.org
Subject: Re: Bug#554167: RFC: mawk (not maintainer, updated package)
Date: Sun, 13 Dec 2009 15:48:59 -0600
Steve Langasek wrote:
> On Sun, Dec 13, 2009 at 12:04:17AM -0600, Jonathan Nieder wrote:
>> I am wondering what to do next: should I pursue a 14-day delayed NMU?
>> Do nothing and hope some of my changes are picked up?
>
> An unsanctioned NMU of a new upstream version of a Priority: required
> package?  No.

To be fair, I was only asking for advice.  Probably this is confusing
because -mentors gets used both for sponsored uploads and packaging
advice.

Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Sun, 13 Dec 2009 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Sun, 13 Dec 2009 23:54:03 GMT) Full text and rfc822 format available.

Message #62 received at 554167@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Steve Langasek <vorlon@debian.org>, 554167@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#554167: New mawk upstream version
Date: Sun, 13 Dec 2009 18:47:06 -0500 (EST)
On Sun, 13 Dec 2009, Steve Langasek wrote:

> In that context, since I haven't worked with you, I'm not going to take your
> word for the correctness of any of the changes - not for something like the
> first new upstream version of mawk in 12 years; so I don't foresee any way
> that this would be a target for collaborative maintenance at this time, no.

By the way, your comment here is directed toward my changes as well.
If you have some specific criticism, you should make everyone aware of
the issue.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information stored :
Bug#554167; Package mawk. (Mon, 14 Dec 2009 01:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and filed, but not forwarded. (Mon, 14 Dec 2009 01:12:03 GMT) Full text and rfc822 format available.

Message #67 received at 554167-quiet@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Thomas Dickey <dickey@his.com>
Cc: Steve Langasek <vorlon@debian.org>, 554167-quiet@bugs.debian.org
Subject: Re: Bug#554167: New mawk upstream version
Date: Sun, 13 Dec 2009 19:24:55 -0600
Thomas Dickey wrote:
> On Sun, 13 Dec 2009, Steve Langasek wrote:
>
>> In that context, since I haven't worked with you, I'm not going to take your
>> word for the correctness of any of the changes - not for something like the
>> first new upstream version of mawk in 12 years; so I don't foresee any way
>> that this would be a target for collaborative maintenance at this time, no.
>
> By the way, your comment here is directed toward my changes as well.
> If you have some specific criticism, you should make everyone aware of
> the issue.

For what it’s worth, I interpreted the comment a bit differently: I took
it to mean he could not blindly trust my changes and would need to find
time to look them over.  Though I could have misunderstood.

On the other hand, I find your call for specifics here quite welcome.
Steve, is there any particular part of the (upstream, mostly) changes
you are worried about?  If someone more established in Debian with
relevant expertise were to look at it, would that help alleviate your
concerns?

Thanks, and sorry to stir up trouble,
Jonathan

Since the last time I wrote, debian/rules was simplified using dh.  I
took the opportunity to rewind the history to make it easier to
review.  The updated packaging is at
<http://git.debian.org/?p=collab-maint/mawk.git>, master branch; the
previous version has been renamed to old/no-debhelper.

That might help in reviewing the packaging changes, but I realize that
that that would not make the list of upstream changes any less
overwhelming.  There is a regression test, so if there are specific
problems you are worried about, that might be a good first place to
look.  I suppose it is also worth mentioning that Thomas has had a
good track record maintaining curses, xterm, and several other
packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Mon, 14 Dec 2009 01:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 14 Dec 2009 01:18:03 GMT) Full text and rfc822 format available.

Message #72 received at 554167@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Steve Langasek <vorlon@debian.org>, 554167@bugs.debian.org
Subject: Re: Bug#554167: New mawk upstream version
Date: Sun, 13 Dec 2009 20:15:36 -0500 (EST)
[Message part 1 (text/plain, inline)]
On Sun, 13 Dec 2009, Jonathan Nieder wrote:

> Thomas Dickey wrote:
>> On Sun, 13 Dec 2009, Steve Langasek wrote:
>>
>>> In that context, since I haven't worked with you, I'm not going to take your
>>> word for the correctness of any of the changes - not for something like the
>>> first new upstream version of mawk in 12 years; so I don't foresee any way
>>> that this would be a target for collaborative maintenance at this time, no.
>>
>> By the way, your comment here is directed toward my changes as well.
>> If you have some specific criticism, you should make everyone aware of
>> the issue.
>
> For what it’s worth, I interpreted the comment a bit differently: I took
> it to mean he could not blindly trust my changes and would need to find
> time to look them over.  Though I could have misunderstood.

The part about "correctness of any of the changes" was in reference to
the original comment about having vetted the changes yourself.

Since Steve's not responded to any of my fixes, and this has gone on since 
September 2008, perhaps some additional help is needed to review things.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#554167; Package mawk. (Mon, 14 Dec 2009 03:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. (Mon, 14 Dec 2009 03:18:06 GMT) Full text and rfc822 format available.

Message #77 received at 554167@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Thomas Dickey <dickey@his.com>
Cc: 554167@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#554167: New mawk upstream version
Date: Sun, 13 Dec 2009 19:13:59 -0800
[Message part 1 (text/plain, inline)]
On Sun, Dec 13, 2009 at 06:47:06PM -0500, Thomas Dickey wrote:
> On Sun, 13 Dec 2009, Steve Langasek wrote:

> >In that context, since I haven't worked with you, I'm not going to take your
> >word for the correctness of any of the changes - not for something like the
> >first new upstream version of mawk in 12 years; so I don't foresee any way
> >that this would be a target for collaborative maintenance at this time, no.

> By the way, your comment here is directed toward my changes as well.
> If you have some specific criticism, you should make everyone aware of
> the issue.

No, I've not yet reviewed the changes in the new upstream version.  Once
I've reviewed the delta, I'll certainly let you know about any problems I
find.

Until then, yes - I don't know your work either and am not going to take
your word for the correctness of the changes, and I'm not in a hurry to
integrate that new version into Debian given that the greatest possible
benefit is rather small.  I do intend to work on this, but I'm not going to
be persuaded to do this on someone else's time table or permit someone else
to make the call that it's ready, because I consider ensuring the stability
of this package to be my *central* duty as its maintainer.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#554167; Package mawk. (Mon, 14 Dec 2009 03:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and filed, but not forwarded. (Mon, 14 Dec 2009 03:21:02 GMT) Full text and rfc822 format available.

Message #82 received at 554167-quiet@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 554167-quiet@bugs.debian.org
Subject: Re: New mawk upstream version
Date: Sun, 13 Dec 2009 19:18:32 -0800
[Message part 1 (text/plain, inline)]
On Sun, Dec 13, 2009 at 03:44:10PM -0600, Jonathan Nieder wrote:
> I agree it’s important to ensure the new mawk doesn’t cause regressions.
> Maybe a package for experimental could help?

No.  experimental provides zero effective coverage for anything other than
build tests.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Mon, 14 Dec 2009 09:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 14 Dec 2009 09:12:04 GMT) Full text and rfc822 format available.

Message #87 received at 554167@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Steve Langasek <vorlon@debian.org>, 554167@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, debian-bugs-dist@lists.debian.org
Subject: Re: Bug#554167: New mawk upstream version
Date: Mon, 14 Dec 2009 04:09:23 -0500 (EST)
On Sun, 13 Dec 2009, Steve Langasek wrote:

> Until then, yes - I don't know your work either and am not going to take

On the other hand, you do (more than likely) use my work.

> your word for the correctness of the changes, and I'm not in a hurry to
> integrate that new version into Debian given that the greatest possible
> benefit is rather small.  I do intend to work on this, but I'm not going to
> be persuaded to do this on someone else's time table or permit someone else
> to make the call that it's ready, because I consider ensuring the stability
> of this package to be my *central* duty as its maintainer.

I see.  Then your proposal is to do exactly nothing.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Sun, 20 Dec 2009 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Sun, 20 Dec 2009 20:42:03 GMT) Full text and rfc822 format available.

Message #92 received at 554167@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 554167@bugs.debian.org
Cc: 554167-submitter@bugs.debian.org
Subject: re: #554167 New mawk upstream version
Date: Sun, 20 Dec 2009 15:35:56 -0500
[Message part 1 (text/plain, inline)]
fwiw, upstream mawk's version is now 1.3.4

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Trafire Arcanegrin <trafirea@gmail.com>:
Bug#554167. (Sun, 20 Dec 2009 20:42:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Mon, 01 Mar 2010 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 01 Mar 2010 20:39:03 GMT) Full text and rfc822 format available.

Message #100 received at 554167@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Steve Langasek <vorlon@debian.org>
Cc: Thomas Dickey <dickey@his.com>, 554167@bugs.debian.org
Subject: Re: Bug#554167: New mawk upstream version
Date: Mon, 1 Mar 2010 14:37:26 -0600
Steve Langasek wrote:

> I've not yet reviewed the changes in the new upstream version.  Once
> I've reviewed the delta, I'll certainly let you know about any problems I
> find.
> 
> Until then, yes - I don't know your work either and am not going to take
> your word for the correctness of the changes, and I'm not in a hurry to
> integrate that new version into Debian given that the greatest possible
> benefit is rather small.

The kind of trust that would allow one to upload someone else’s work
without looking at it takes a long time to build, and frankly I would
be quite worried if you had that trust after such a short time.  This
should be obvious, but I guess I should be explicit just to be clear.

I still would be happy if an updated package could go to experimental
at some point.  I know you don’t want to upload random garbage (so
even this request _is_ asking for some of your time), but there are at
least some people who run things from experimental, especially if they
need an experimental feature, and I would like to get feedback from
them.

Regards,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Mon, 28 May 2012 19:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "yannubuntu@gmail.com" <yannubuntu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 28 May 2012 19:36:06 GMT) Full text and rfc822 format available.

Message #105 received at 554167@bugs.debian.org (full text, mbox):

From: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
To: 554167@bugs.debian.org, debian-mentors@lists.debian.org
Cc: Gert Hulselmans <hulselmansgert@gmail.com>, vorlon@debian.org, jrnieder@gmail.com, mantas@akl.lt
Subject: Updating Mawk in Debian
Date: Mon, 28 May 2012 21:34:36 +0200
[Message part 1 (text/plain, inline)]
Dear all,

any news about updating Mawk with the last upstream version?

Regards
Yann



2012/5/28 Gert Hulselmans <hulselmansgert@gmail.com>

> The Debian version of mawk has a lot of bugs (v1.3.3)
> http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=mawk;dist=unstable
>
> Thomas Dickey (other dev than the original mawk dev) has an improved
> version of mawk (without those bugs):
> ftp://invisible-island.net/mawk/
>
> but for some reason the debian maintainer doesn't want to update.
>
>
> Thomas Dickey:
>
> ------------------------------------------------------------------------------------------------
> If the Debian packager were responding, it would be about a week.
> However, he's ignored most of my bug reports (aside from the one
> about incorrect license).
>
> Look here - I've marked fixed-upstream on the ones that I believe are
> done...
>
> http://bugs.debian.org/cgi-bin/pkgreport.cgi?package=mawk
>
> ------------------------------------------------------------------------------------------------
> https://bugs.launchpad.net/ubuntu/+source/mawk/+bug/400409
>
>
> I use the fixed version of mawk a lot for my work.
>
> If you can force the debian maintainer to update mawk, I would be happy.
>
> I tried it a while back, but failed.
>
> One of my bug reports at Ubuntu (still not any comment on it):
> https://bugs.launchpad.net/ubuntu/+source/mawk/+bug/716920
>
> It would be nice to get it bumped by somebody else.
>
> - Gert
>
> 2012/5/27 yannubuntu@gmail.com <yannubuntu@gmail.com>:
> > Hello Gert,
> >
> > Mawk package description says, that "Mawk is smaller and much faster than
> > gawk".
> > What about using Mawk instead of Gawk in BIS ?
> >
> > Regards
> > Yann
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Mon, 28 May 2012 19:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 28 May 2012 19:51:05 GMT) Full text and rfc822 format available.

Message #110 received at 554167@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
Cc: 554167@bugs.debian.org, debian-mentors@lists.debian.org, Gert Hulselmans <hulselmansgert@gmail.com>, vorlon@debian.org, mantas@akl.lt
Subject: Re: Updating Mawk in Debian
Date: Mon, 28 May 2012 14:48:02 -0500
Hi Yann,

yannubuntu@gmail.com wrote:

> any news about updating Mawk with the last upstream version?

I don't think it can happen and be properly tested in time for wheezy.
The new upstream version has significant changes relative to the
packaged version and probably introduces some (minor or not)
regressions.  (For example, the -W i option didn't work in Turkic
locales the last time I checked, because toupper('i') is not 'I'.)

What would be very helpful is code review.  For example, collect
a batch of twenty or so patches (e.g., changes up to 1.3.3-20090705)
from [1] or straight from Thomas.  File a bug that lists the patches,
their purpose, potential regressions, and how that potential can be
mitigated.  Then I would be happy to help get those patches applied
in experimental.

Another way to help is to get the code history up to the present in a
readable state, to help that same effort.  That basically means:

 * improve the "rcs fast-export" tool[2].  All improvements are good. :)
   Packaging it for Debian would be great because then we get a
   bugtracker.  If you can get the raw RCS files to test changes, that
   might make this task easier.

 * collect more changes (in RCS or git bundle form) and let me know
   so I can update [1] to include the updated code.

Testing is of course also welcome.

Hope that helps,
Jonathan

[1] http://git.debian.org/?p=users/jrnieder-guest/mawk-historical.git
[2] http://wok.oblomov.eu/tecnologia/rcs-fast-export/




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Mon, 28 May 2012 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 28 May 2012 20:12:03 GMT) Full text and rfc822 format available.

Message #115 received at 554167@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Jonathan Nieder <jrnieder@gmail.com>, 554167@bugs.debian.org
Cc: "yannubuntu@gmail.com" <yannubuntu@gmail.com>, debian-mentors@lists.debian.org, Gert Hulselmans <hulselmansgert@gmail.com>, vorlon@debian.org, mantas@akl.lt
Subject: Re: Bug#554167: Updating Mawk in Debian
Date: Mon, 28 May 2012 16:09:55 -0400
[Message part 1 (text/plain, inline)]
On Mon, May 28, 2012 at 02:48:02PM -0500, Jonathan Nieder wrote:
> Hi Yann,
> 
> yannubuntu@gmail.com wrote:
> 
> > any news about updating Mawk with the last upstream version?
> 
> I don't think it can happen and be properly tested in time for wheezy.
> The new upstream version has significant changes relative to the
> packaged version and probably introduces some (minor or not)
> regressions.  (For example, the -W i option didn't work in Turkic
> locales the last time I checked, because toupper('i') is not 'I'.)
> 
> What would be very helpful is code review.  For example, collect
> a batch of twenty or so patches (e.g., changes up to 1.3.3-20090705)
> from [1] or straight from Thomas.  File a bug that lists the patches,
> their purpose, potential regressions, and how that potential can be
> mitigated.  Then I would be happy to help get those patches applied
> in experimental.

I don't recall seeing any comments from Steve on this.
 
> Another way to help is to get the code history up to the present in a
> readable state, to help that same effort.  That basically means:
> 
>  * improve the "rcs fast-export" tool[2].  All improvements are good. :)

It needs work.  I commented on what I'd done a couple of months ago,
but saw no replies.  (At the moment I'm actually working on mawk).

>    Packaging it for Debian would be great because then we get a
>    bugtracker.  If you can get the raw RCS files to test changes, that
>    might make this task easier.

I have in mind creating a git-bundle using my fixed-up rcs-fast-export
(as an export-only...).

>  * collect more changes (in RCS or git bundle form) and let me know
>    so I can update [1] to include the updated code.
> 
> Testing is of course also welcome.
> 
> Hope that helps,
> Jonathan
> 
> [1] http://git.debian.org/?p=users/jrnieder-guest/mawk-historical.git
> [2] http://wok.oblomov.eu/tecnologia/rcs-fast-export/
> 
> 

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Mon, 28 May 2012 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 28 May 2012 20:39:03 GMT) Full text and rfc822 format available.

Message #120 received at 554167@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Thomas Dickey <dickey@his.com>
Cc: 554167@bugs.debian.org
Subject: Re: Updating Mawk in Debian
Date: Mon, 28 May 2012 15:35:47 -0500
(culling cc list)
Thomas Dickey wrote:

> I have in mind creating a git-bundle using my fixed-up rcs-fast-export
> (as an export-only...).

Thanks.  Please let me know when it's ready and I can publish it in
the same place as the earlier export.

Hope that helps,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Mon, 28 May 2012 20:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 28 May 2012 20:51:09 GMT) Full text and rfc822 format available.

Message #125 received at 554167@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Jonathan Nieder <jrnieder@gmail.com>, 554167@bugs.debian.org
Cc: Thomas Dickey <dickey@his.com>
Subject: Re: Bug#554167: Updating Mawk in Debian
Date: Mon, 28 May 2012 16:47:43 -0400
[Message part 1 (text/plain, inline)]
On Mon, May 28, 2012 at 03:35:47PM -0500, Jonathan Nieder wrote:
> (culling cc list)
> Thomas Dickey wrote:
> 
> > I have in mind creating a git-bundle using my fixed-up rcs-fast-export
> > (as an export-only...).
> 
> Thanks.  Please let me know when it's ready and I can publish it in
> the same place as the earlier export.

ok.  Will do that after I get done with my current change...
It's related to this:
	http://sources.redhat.com/ml/libc-alpha/2007-12/msg00028.html

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Wed, 30 May 2012 10:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Wed, 30 May 2012 10:00:08 GMT) Full text and rfc822 format available.

Message #130 received at 554167@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Jonathan Nieder <jrnieder@gmail.com>, 554167@bugs.debian.org
Cc: Thomas Dickey <dickey@his.com>
Subject: Re: Bug#554167: Updating Mawk in Debian
Date: Wed, 30 May 2012 05:57:24 -0400
[Message part 1 (text/plain, inline)]
On Mon, May 28, 2012 at 03:35:47PM -0500, Jonathan Nieder wrote:
> (culling cc list)
> Thomas Dickey wrote:
> 
> > I have in mind creating a git-bundle using my fixed-up rcs-fast-export
> > (as an export-only...).
> 
> Thanks.  Please let me know when it's ready and I can publish it in
> the same place as the earlier export.

hmm.  I think it's more complicated than that.  I've created a git-bundle,
but it requires some discussion.  Here's a recap:

	+ I spent a chunk of time in January working with rcs-fast-export,
	  and setup a script to fixup the email addresses, to make the logs
	  work as expected.  I modified rcs-fast-export to accept an option
	  which makes it resolve the RCS identifiers properly.  (You may
	  recall from earlier discussion that the identifiers _stored_ in
	  the archive are from the previous data, rather than the actual
	  revision).  That's slower to execute, of course.

	+ In January I also worked (without much success) to develop a
	  script to splice my changes onto a copy of the git bundle that
	  you had published.  There is more than one apparent problem
	  (aside from my own lack of git experience).  With or without
	  the corrected RCS identifiers, the process fails due to merge
	  problems.  I recall that this only gets about 60% through the
	  import.  (I can of course provide you with the corresponding
	  scripts, and we can discuss better approaches to the problem).

	+ Not having progress on git (and having agreed to provide that),
	  the dependent activities were stalled.  However, I'm back on
	  mawk for a few weeks.  As I indicated, I noticed an interesting
	  problem using mawk in a case where it's a matter of implementing
	  a gawk-extension.

	  I can see that extension would be a distraction (so I put it
	  aside for the moment).

	+ On a related thread, it was suggested that I get mawk into
	  savannah for using bug-tracking.  When I investigated that,
	  I noticed that they rather insist on having each file marked
	  with copyrights.  Both Mike and I had not done that as rigorously
	  as I think savannah wants.  So... I made that change on top of
	  my 20101207 tag, calling that 20101210 (and kept the timestamps
	  on that date to avoid confusing git further).  The tag is "old"
	  of course since it's solely done to mark copyrights as of that
	  date, and to avoid confusion with other changes that I have in
	  mind.

	  I put the mawk bundle for that in
		ftp://invisible-island.net/GIT/
	  and uploaded that version as a new release on my webpage.
	  
	  I think those are enough pieces in place that I can followup on
	  savannah; but have an idea that we need some discussion on how
	  to proceed for your idea of providing patches based on git.
	  (It would be nice if there were some way to record the transformation
	  from my rcs/git archive into yours so that I could generate a better
	  export).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Wed, 30 May 2012 20:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Wed, 30 May 2012 20:06:06 GMT) Full text and rfc822 format available.

Message #135 received at 554167@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Thomas Dickey <dickey@his.com>
Cc: 554167@bugs.debian.org
Subject: Re: Updating Mawk in Debian
Date: Wed, 30 May 2012 15:04:01 -0500
Thomas Dickey wrote:

>                                                 I've created a git-bundle,
> but it requires some discussion.

Neat.  My first impressions are that this looks nicer --- e.g., the
initial check-ins have meaningful messages now instead of just saying
RCS_BASE.

Do I understand correctly that this covers the same revision history
as the old bundle (i.e., up to 2010-12-07), just imported more
accurately?

[...]
> 	+ In January I also worked (without much success) to develop a
> 	  script to splice my changes onto a copy of the git bundle that
> 	  you had published.  There is more than one apparent problem
> 	  (aside from my own lack of git experience).  With or without
> 	  the corrected RCS identifiers, the process fails due to merge
> 	  problems.  I recall that this only gets about 60% through the
> 	  import.  (I can of course provide you with the corresponding
> 	  scripts, and we can discuss better approaches to the problem).

Yes, I'd be happy to look at the scripts (feel free to send a private
email).

[...]
> 	+ On a related thread, it was suggested that I get mawk into
> 	  savannah for using bug-tracking.  When I investigated that,
> 	  I noticed that they rather insist on having each file marked
> 	  with copyrights.  Both Mike and I had not done that as rigorously
> 	  as I think savannah wants.  So...

Oh.  I didn't know Savannah was so picky.  I guess it would also be
useful for other pedantic legal teams that aren't willing to review
the source control logs.

> 	                                    I made that change on top of
> 	  my 20101207 tag, calling that 20101210 (and kept the timestamps
> 	  on that date to avoid confusing git further).  The tag is "old"
> 	  of course since it's solely done to mark copyrights as of that
> 	  date, and to avoid confusion with other changes that I have in
> 	  mind.

When did you make this change?  If not December of 2010, this is very
confusing, so in that case please add a note to CHANGES mentioning
when it happened.  I think it's ok if the version number doesn't match
the date but the date should be recorded somewhere.

[...]
> 	  I think those are enough pieces in place that I can followup on
> 	  savannah; but have an idea that we need some discussion on how
> 	  to proceed for your idea of providing patches based on git.
> 	  (It would be nice if there were some way to record the transformation
> 	  from my rcs/git archive into yours so that I could generate a better
> 	  export).

Yeah, unfortunately most of my tweaks were manual (e.g., splitting
changes produced by the "indent" program from semantic changes).  It
would probably be possible to automate if I were less lazy.

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Wed, 30 May 2012 21:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Wed, 30 May 2012 21:06:03 GMT) Full text and rfc822 format available.

Message #140 received at 554167@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Thomas Dickey <dickey@his.com>, 554167@bugs.debian.org
Subject: Re: Updating Mawk in Debian
Date: Wed, 30 May 2012 17:03:56 -0400
[Message part 1 (text/plain, inline)]
On Wed, May 30, 2012 at 03:04:01PM -0500, Jonathan Nieder wrote:
> Thomas Dickey wrote:
> 
> >                                                 I've created a git-bundle,
> > but it requires some discussion.
> 
> Neat.  My first impressions are that this looks nicer --- e.g., the
> initial check-ins have meaningful messages now instead of just saying
> RCS_BASE.
> 
> Do I understand correctly that this covers the same revision history
> as the old bundle (i.e., up to 2010-12-07), just imported more
> accurately?

yes, except:
	there's a t20101210 label for the copyrights

	In reviewing the bundle with gitk, I noticed a "t20080909-base" 
	label which I seem to recall applying to help with my scripting
	in January (not used currently).

The content of the commits in git is accurate (pulling out a label would
give identical results to the corresponding release from rcs).

> [...]
> > 	+ In January I also worked (without much success) to develop a
> > 	  script to splice my changes onto a copy of the git bundle that
> > 	  you had published.  There is more than one apparent problem
> > 	  (aside from my own lack of git experience).  With or without
> > 	  the corrected RCS identifiers, the process fails due to merge
> > 	  problems.  I recall that this only gets about 60% through the
> > 	  import.  (I can of course provide you with the corresponding
> > 	  scripts, and we can discuss better approaches to the problem).
> 
> Yes, I'd be happy to look at the scripts (feel free to send a private
> email).

will do...
 
> [...]
> > 	+ On a related thread, it was suggested that I get mawk into
> > 	  savannah for using bug-tracking.  When I investigated that,
> > 	  I noticed that they rather insist on having each file marked
> > 	  with copyrights.  Both Mike and I had not done that as rigorously
> > 	  as I think savannah wants.  So...
> 
> Oh.  I didn't know Savannah was so picky.  I guess it would also be
> useful for other pedantic legal teams that aren't willing to review
> the source control logs.

They have a checklist...
 
> > 	                                    I made that change on top of
> > 	  my 20101207 tag, calling that 20101210 (and kept the timestamps
> > 	  on that date to avoid confusing git further).  The tag is "old"
> > 	  of course since it's solely done to mark copyrights as of that
> > 	  date, and to avoid confusion with other changes that I have in
> > 	  mind.
> 
> When did you make this change?  If not December of 2010, this is very
> confusing, so in that case please add a note to CHANGES mentioning
> when it happened.  I think it's ok if the version number doesn't match
> the date but the date should be recorded somewhere.

hmm - I can add a note in a checkin-comment (the CHANGES file is generated) and
reissue the bundle if you like.  (Having more than a hundred rcs id's saying
2012 on files using 2010 copyrights is not one of my preferred solutions).
 
> [...]
> > 	  I think those are enough pieces in place that I can followup on
> > 	  savannah; but have an idea that we need some discussion on how
> > 	  to proceed for your idea of providing patches based on git.
> > 	  (It would be nice if there were some way to record the transformation
> > 	  from my rcs/git archive into yours so that I could generate a better
> > 	  export).
> 
> Yeah, unfortunately most of my tweaks were manual (e.g., splitting
> changes produced by the "indent" program from semantic changes).  It
> would probably be possible to automate if I were less lazy.

hmm - I'll followup on this

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Wed, 30 May 2012 21:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Wed, 30 May 2012 21:27:06 GMT) Full text and rfc822 format available.

Message #145 received at 554167@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Thomas Dickey <dickey@his.com>
Cc: 554167@bugs.debian.org
Subject: Re: Updating Mawk in Debian
Date: Wed, 30 May 2012 16:22:22 -0500
Thomas Dickey wrote:

> The content of the commits in git is accurate (pulling out a label would
> give identical results to the corresponding release from rcs).

Good to know.  I'll try updating tp/clean, making sure to preserve
that property.

[...]
> hmm - I can add a note in a checkin-comment (the CHANGES file is generated) and
> reissue the bundle if you like.

Thanks, that would be perfect.




Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Wed, 30 May 2012 21:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Wed, 30 May 2012 21:33:08 GMT) Full text and rfc822 format available.

Message #150 received at 554167@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Jonathan Nieder <jrnieder@gmail.com>, 554167@bugs.debian.org
Cc: Thomas Dickey <dickey@his.com>
Subject: Re: Updating Mawk in Debian
Date: Wed, 30 May 2012 17:29:57 -0400
[Message part 1 (text/plain, inline)]
On Wed, May 30, 2012 at 05:03:56PM -0400, Thomas Dickey wrote:
> hmm - I can add a note in a checkin-comment (the CHANGES file is generated) and
> reissue the bundle if you like.  (Having more than a hundred rcs id's saying
> 2012 on files using 2010 copyrights is not one of my preferred solutions).

sorry - too many programs: mawk's CHANGES is not generated ;-)

either way, I can add a note

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Wed, 30 May 2012 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Wed, 30 May 2012 22:51:03 GMT) Full text and rfc822 format available.

Message #155 received at 554167@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Jonathan Nieder <jrnieder@gmail.com>, 554167@bugs.debian.org
Cc: Thomas Dickey <dickey@his.com>
Subject: Re: Bug#554167: Updating Mawk in Debian
Date: Wed, 30 May 2012 18:46:31 -0400
[Message part 1 (text/plain, inline)]
...forgot the attachment (distracted)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[foo.zip (application/zip, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Wed, 02 Jan 2013 21:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "yannubuntu@gmail.com" <yannubuntu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Wed, 02 Jan 2013 21:09:03 GMT) Full text and rfc822 format available.

Message #160 received at 554167@bugs.debian.org (full text, mbox):

From: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
To: 554167@bugs.debian.org
Subject: Upgrading mawk to 1.3.4
Date: Wed, 2 Jan 2013 22:07:48 +0100
Best wishes for 2013 !
any progress concerning the update to mawk 1.3.4 ?



Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Mon, 18 Feb 2013 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Christian Ruppert" <c.ruppert@babiel.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 18 Feb 2013 12:09:03 GMT) Full text and rfc822 format available.

Message #165 received at 554167@bugs.debian.org (full text, mbox):

From: "Christian Ruppert" <c.ruppert@babiel.com>
To: <554167@bugs.debian.org>
Subject: Re: Upgrading mawk to 1.3.4
Date: Mon, 18 Feb 2013 12:59:37 +0100
Come on guys, this Bug is from 2009 and it's basically just a version bump, isn't it?
I don't think an update will make it worse than it already is, rather the opposite.

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Mon, 18 Feb 2013 19:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 18 Feb 2013 19:03:09 GMT) Full text and rfc822 format available.

Message #170 received at 554167@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Christian Ruppert <c.ruppert@babiel.com>
Cc: 554167@bugs.debian.org
Subject: Re: Upgrading mawk to 1.3.4
Date: Mon, 18 Feb 2013 10:59:21 -0800
Hi Christian,

Christian Ruppert wrote:

> Come on guys, this Bug is from 2009

Unfortunately not many people pitched in, even after calls for help
like [1].

>                                     and it's basically just a
> version bump, isn't it?

Definitely not.  It's a large influx of code that is not as widely
tested as the current code, including a known bug or two.  It will
take work to get ready for inclusion in a Debian release, though
hopefully not too much work.

If you'd like this to move forward, see [1].  Other ways forward would
be to work with Thomas to test the upstream code and report or fix any
bugs you find, or to report bugs against Debian for the improvements
that are more important to your workflow to help prioritize the work.

Hope that helps,
Jonathan

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=110;bug=554167



Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Mon, 18 Feb 2013 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Mon, 18 Feb 2013 23:06:03 GMT) Full text and rfc822 format available.

Message #175 received at 554167@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Jonathan Nieder <jrnieder@gmail.com>, 554167@bugs.debian.org
Cc: Christian Ruppert <c.ruppert@babiel.com>
Subject: Re: Bug#554167: Upgrading mawk to 1.3.4
Date: Mon, 18 Feb 2013 18:02:59 -0500
[Message part 1 (text/plain, inline)]
On Mon, Feb 18, 2013 at 10:59:21AM -0800, Jonathan Nieder wrote:
> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=110;bug=554167

I addressed the git issue with the snapshots 

	https://github.com/ThomasDickey

but have very little response from it (none from Debian).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Tue, 19 Feb 2013 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Tue, 19 Feb 2013 00:09:03 GMT) Full text and rfc822 format available.

Message #180 received at 554167@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Thomas Dickey <dickey@his.com>
Cc: 554167@bugs.debian.org, Steve Langasek <vorlon@debian.org>, Christian Ruppert <c.ruppert@babiel.com>
Subject: Re: Upgrading mawk to 1.3.4
Date: Mon, 18 Feb 2013 16:06:13 -0800
Thomas Dickey wrote:
> On Mon, Feb 18, 2013 at 10:59:21AM -0800, Jonathan Nieder wrote:

>> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=110;bug=554167
>
> I addressed the git issue with the snapshots 
>
> 	https://github.com/ThomasDickey

Yes, thanks much for that.

> but have very little response from it

Thinking about it a little more, I think what I should do is to
introduce a separate mawk-1.3.4 package that also Provides: awk and
can be installed alongside gawk and mawk 1.3.3.

That way, interested sysadmins could try out the new version and send
feedback without disrupting installations that are still relying on
the existing version.

Steve, does that make sense to you?  I'd make an effort to let you
know about any important fixes I run into that also seem applicable to
1.3.3.

Thanks,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Tue, 25 Mar 2014 15:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Tue, 25 Mar 2014 15:39:05 GMT) Full text and rfc822 format available.

Message #185 received at 554167@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 554167@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, vorlon@debian.org
Subject: Re: Bug#554167: Upgrading mawk to 1.3.4
Date: Tue, 25 Mar 2014 17:30:50 +0200
Hi,

Some xen people just bumped into this bug:

xxx: I dug into the issue yesterday night, the issue come from mawk which is a silly version on Debian Jessie and Ubuntu

All the other major distributions (fedora, suse, ...) have switched to mawk
1.3.4. Five years since opening the bug, Debian/Ubuntu sticking to 1.3.3 is now causing
headeach to people rather than saving from regressions, it seems...

Riku



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#554167; Package mawk. (Tue, 25 Mar 2014 16:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. (Tue, 25 Mar 2014 16:36:04 GMT) Full text and rfc822 format available.

Message #190 received at 554167@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 554167@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#554167: Upgrading mawk to 1.3.4
Date: Tue, 25 Mar 2014 09:32:33 -0700
[Message part 1 (text/plain, inline)]
On Tue, Mar 25, 2014 at 05:30:50PM +0200, Riku Voipio wrote:

> Some xen people just bumped into this bug:

> xxx: I dug into the issue yesterday night, the issue come from mawk which
> is a silly version on Debian Jessie and Ubuntu

> All the other major distributions (fedora, suse, ...) have switched to mawk
> 1.3.4. Five years since opening the bug, Debian/Ubuntu sticking to 1.3.3 is now causing
> headeach to people rather than saving from regressions, it seems...

This is the bug about requesting a new upstream version.  I'm pretty sure
that's not the bug your users were running into.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#554167; Package mawk. (Tue, 25 Mar 2014 20:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Steve Langasek <vorlon@debian.org>. (Tue, 25 Mar 2014 20:03:04 GMT) Full text and rfc822 format available.

Message #195 received at 554167@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Steve Langasek <vorlon@debian.org>
Cc: Riku Voipio <riku.voipio@iki.fi>, 554167@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#554167: Upgrading mawk to 1.3.4
Date: Tue, 25 Mar 2014 22:01:53 +0200
On Tue, Mar 25, 2014 at 09:32:33AM -0700, Steve Langasek wrote:
> On Tue, Mar 25, 2014 at 05:30:50PM +0200, Riku Voipio wrote:
> This is the bug about requesting a new upstream version.  I'm pretty sure
> that's not the bug your users were running into.

The code worked fine on mawk from other distro's (and gawk) -  but not
ubuntu/debian. So from their PoV the bug is caused by the rather old
mawk version carried by us.

Now, of course, one can argue that they shouldn't be surprised that
debian comes with something outdated...







Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#554167; Package mawk. (Tue, 25 Mar 2014 20:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. (Tue, 25 Mar 2014 20:09:05 GMT) Full text and rfc822 format available.

Message #200 received at 554167@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Riku Voipio <riku.voipio@iki.fi>, 554167@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#554167: Upgrading mawk to 1.3.4
Date: Tue, 25 Mar 2014 13:05:41 -0700
[Message part 1 (text/plain, inline)]
On Tue, Mar 25, 2014 at 10:01:53PM +0200, Riku Voipio wrote:
> On Tue, Mar 25, 2014 at 09:32:33AM -0700, Steve Langasek wrote:
> > On Tue, Mar 25, 2014 at 05:30:50PM +0200, Riku Voipio wrote:
> > This is the bug about requesting a new upstream version.  I'm pretty sure
> > that's not the bug your users were running into.

> The code worked fine on mawk from other distro's (and gawk) -  but not
> ubuntu/debian. So from their PoV the bug is caused by the rather old
> mawk version carried by us.

> Now, of course, one can argue that they shouldn't be surprised that
> debian comes with something outdated...

No, I argue that if they have a problem with the code they should report the
exact issue instead of blaming it on the package being "outdated".

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:10:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.